﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using GarmentFactoryDataModels.Models;
using System.ComponentModel;
using GarmentFactoryContracts.Attributes;

namespace GarmentFactoryContracts.ViewModels
{
    public class ComponentViewModel : IComponentModel
    {
		[Column(visible: false)]
		public int Id { get; set; }
		[Column(title: "Название изделия", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string ComponentName { get; set; } = string.Empty;
		[Column(title: "Цена", width: 100)]
		public double Cost { get; set; }
    }
}
